# use custom tar.xz https://jisco.me/Visual-Family-Tree/

%define __os_install_post %{nil}
%define _requires_exceptions libffmpeg.so()(64bit)\\|libGLESv2.so()(64bit)

Name:	visual-family-tree
Version:	1.4.0
Release:	%mkrel 1
License:	GPLv3
Group:	Office
Summary:	Create your own private family tree
Url:	https://jisco.me/Visual-Family-Tree/
Source: data.tar.xz
AutoProv: no

%description
You can create a family tree with extensive information and
pictures about the individual family members. The whole thing
can be done very simply using the mouse and a few keystrokes.
An editor to export this family tree in different formats (pdf, svg, png)
is included and the output can be configured extensively.


%prep

%build

%install
rm -rf %buildroot
mkdir -p %buildroot
tar xf %SOURCE0 -C %buildroot

mkdir -p %buildroot/%{_bindir}
ln -fs /opt/%name/%name %buildroot/%{_bindir}/%name


%files
%{_bindir}
%{_datadir}
/opt/%{name}

%post
%update_menus

%postun
%clean_menus

%changelog
* Thu Apr 13 2023 tex - 1.4.0-1pclos2023
- create pkg
